* install dependencies on Debian Bullseye
```
sudo apt install libulfius-dev --no-install-recommends
```

* build
```
make
```

* create self-signed key/certificate
```
openssl req -x509 -newkey rsa:4096 -keyout key.pem -out cert.pem -sha256 -days 365
```

* enter details
```
writing new private key to 'key.pem'
Enter PEM pass phrase: serfaus
Verifying - Enter PEM pass phrase:
Country Name (2 letter code) [AU]:DE
State or Province Name (full name) [Some-State]:Lower Saxony
Locality Name (eg, city) []:Brunswick
Organization Name (eg, company) [Internet Widgits Pty Ltd]:Software Ingenieur Begerad
Organizational Unit Name (eg, section) []:IT
Common Name (e.g. server FQDN or YOUR name) []:hello.swingbe.de
Email Address []:admin@swingbe.de
```

* run in http mode
```
./main <port>
```

* run in https mode
```
./main <port> -secure <private key file> <certificate file>
```
